Friday

Issues: Uninstalling .Net 3.5 SP1

This week, I had 2 issues to deal with:
1. Upgrade PMPoint from v6 to v8.1
I performed the upgrade and it failed as I realised it had too many dependencies and made so many changes to the farm, therefore the installation didnt work as web.config had changed. So i rolled back.

This action then affected Doc Ave 4.5 which was running off another server in the SharePoint farm. After a bit of research, I found out that Doc Ave 4.5 does not support .NET 3.5 SP1 while this was a requirement for PMPoint v8.1. Now that means you need to beware of things like having to different applications on the same far having different requirements to function.

Issues:
1. Doc Ave client stopped communicating.

Solution:
1. Remove .Net 3.5 SP1
2. Uninstall .Net 3.0 SP2
3. Uninstall .Net 2.0 SP2
4. Install .Net 3.5 (no SP1)

RED ALERT! Once you remove .Net 3.5 IIS websites will start throwing up the following Errors 404 & 403.

To fix:

See
Doc Ave 4.5 Support

Finally from IIS Manager, goto Web Service Extensions and Allow ASP.NET

See Microsoft Support

No comments: